pdal(1)

NAME
pdal - PDAL application

SYNOPSIS
pdal
<options>
pdal
<command> <command options>

DESCRIPTION
PDAL contains consists of a single application, called pdal. The pdal application currently has the following subcommands:

•   delta

•   density

•   diff

•   ground

•   info

•   merge

•   pcl

•   pipeline

•   random

•   split

•   tindex

•   translate

•   view

Applications are run by invoking the pdal application along with the command name:

\FC
$ pdal info myfile.las
$ pdal translate input.las output.las
$ pdal pipeline --stdin < myxml.xml
      \F[]

Help for each command can be retrieved via the \FC--help\F[] switch. The \FC--drivers\F[] and \FC--options\F[] switches can tell you more about particular drivers and their options:

\FC
$ pdal info --help
$ pdal translate --drivers
$ pdal pipeline --options writers.las
      \F[]

Additional driver-specific options may be specified by using a namespace-prefixed option name. For example, it is possible to set the LAS day of year at translation time with the following option:

\FC
$ pdal translate \
    --writers.las.creation_doy="42" \
    input.las \
    output.las
      \F[]
    Note

    Driver specific options can be identified using the pdal info\FC--options\F[] invocation.

See ⟨http://pdal.io/apps.html⟩ for more detail.

OPTIONS

\FC--debug\F[]
    Sets the output level to 3 (option deprecated)

\FC-v\F[], \FC--verbose\F[]
    Sets the output level (0-8)

\FC--drivers\F[]
    List available drivers

\FC-h\F[], \FC--help\F[]
    Display help text

\FC--list-commands\F[]
    List available commands

\FC--version\F[]
    Show program version

\FC--options\F[]=<driver name>
    Show options for specified driver (or 'all')